Bug 115797 - soundblaster live card doesn't work
soundblaster live card doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 02:50 EST by brian atkisson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 16:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian atkisson 2004-02-16 02:50:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I have a soundblaster live card that doesn't seem to work with fedora
core 2 test1.  Doing a lsmod shows the module is loaded:

[root@sein root]# lsmod
Module                  Size  Used by
ide_cd                 39812  0
cdrom                  37276  1 ide_cd
snd_pcm_oss            53540  1
snd_mixer_oss          19072  1 snd_pcm_oss
snd_emu10k1           109188  1
snd_rawmidi            29344  1 snd_emu10k1
snd_pcm               112264  2 snd_pcm_oss,snd_emu10k1
snd_timer              34436  1 snd_pcm
snd_seq_device          8456  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         61700  1 snd_emu10k1
snd_page_alloc         12036  2 snd_emu10k1,snd_pcm
snd_util_mem            4864  1 snd_emu10k1
snd_hwdep               9476  1 snd_emu10k1
snd                    57828  10
snd_pcm_oss,snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_util_mem,snd_hwdep
soundcore              10720  2 snd
md5                     4224  1
ipv6                  262400  8
lp                     12652  0
autofs                 16512  0
nfs                   190524  2
lockd                  62152  2 nfs
sunrpc                162376  6 nfs,lockd
3c59x                  39848  0
ohci1394               41860  0
ieee1394              284464  1 ohci1394
floppy                 65712  0
sg                     36768  0
scsi_mod              124600  1 sg
parport_pc             38444  1
parport                48488  2 lp,parport_pc
ohci_hcd               23940  0
ehci_hcd               29956  0
usbcore               114908  4 ohci_hcd,ehci_hcd
thermal                13072  0
processor              17456  1 thermal
fan                     4236  0
button                  6168  0
battery                 8972  0
asus_acpi              10008  0
ac                      4876  0
ext3                  128296  1
jbd                    86040  1 ext3

I also get a message in kde:
Error - artsmessage: Sound server fatal error: cpu overload, aborting.

When doing a system-config-soundcard, I get the following errors in a
terminal window:
[root@sein root]# system-config-soundcard

** (system-config-soundcard.py:2064): WARNING **: `GtkTextSearchFlags'
is not an enum type
FATAL: Module snd_emu10k1 is in use.
FATAL: Module snd_emu10k1 already in kernel.






Version-Release number of selected component (if applicable):
2.6.2-1.79

How reproducible:
Always

Steps to Reproduce:
1.install fedora core 2 test 1
2.
3.
    

Actual Results:  no sound at all

Expected Results:  sound

Additional info:
Comment 1 Dave Jones 2004-02-16 09:03:08 EST
Check the volume settings. ALSA sets them as 0 as defaults.
Comment 2 Scott Sloan 2004-02-16 13:14:48 EST
I had the same situation happen with my card. The problem is a result
to what Dave wrote in that alsa defaults the pcm level to 0. However,
I know there is a bug listed in that when the user changes these
settings and reboots, the volume settings go back to 0. 
Comment 3 brian atkisson 2004-02-17 01:13:53 EST
of all the things... 

It works fine.  Thanks.  Although, I still get the cpu overload message.
Comment 4 Martin A. Boegelund 2004-03-17 05:34:20 EST
Could you please spell out the solution a little...

I'm having the same problem with a Sound Blaster live! 5.1.
Module snd_emu10k1 is loaded, but Soundcard configuration wizard 
tells me that my card might not be compatible with Red Hat Linux. 
Works in RH9 though.
Comment 5 Alan Cox 2004-05-03 16:21:11 EDT
Should work nicely in test3, if not please re-open

Note You need to log in before you can comment on or make changes to this bug.